Bug 1132974 - TAB completion for not required pulp-admin options
Summary: TAB completion for not required pulp-admin options
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: Master
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 2.6.0
Assignee: Irina Gulina
QA Contact: Martin Minar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-22 13:07 UTC by Irina Gulina
Modified: 2016-07-04 00:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:16:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 496 0 None None None Never

Description Irina Gulina 2014-08-22 13:07:49 UTC
Description of problem:
Tab completion works if not required option was specified.

How reproducible:
always


Steps to Reproduce:
>> pulp-admin -u admin -p admin repo list --repo-id
Command: list
Description: lists repositories on the Pulp server

Available Arguments:

  --summary, -s - if specified, a condensed view with just the repository ID and
                  name is displayed
  --details     - if specified, detailed configuration information is displayed
                  for each repository
  --fields      - comma-separated list of repository fields; if specified, only
                  the given fields will displayed
The following options were specified but do not exist on the command:
  --repo-id

>> pulp-admin -u admin -p admin repo list --repo-id [TAB][TAB]
--details  --fields   --help     --repo-id  --summary  

Expected results:
>> pulp-admin -u admin -p admin repo list --repo-id [TAB][TAB]
{terminal bell}{terminal bell}{terminal bell}

Comment 1 Irina Gulina 2014-09-15 10:18:57 UTC
https://github.com/pulp/pulp/pull/1137

Comment 2 Chris Duryee 2014-12-23 20:52:50 UTC
fixed in pulp 2.6.0-0.2.beta

Comment 3 Brian Bouterse 2015-02-28 22:16:18 UTC
Moved to https://pulp.plan.io/issues/496


Note You need to log in before you can comment on or make changes to this bug.